查询平台仓发货单列表v2
POST
/basicOpen/multiplatform/query/shippingList原接口接口仅支持walmart,现已提供v2接口,支持多平台下全部平台的平台仓发货单列表数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/query/shippingList | HTTPS | POST | 1 |
请求参数
platformCodesarray<any>必填offsetintegerlengthintegertimeFieldintegerstartTimestringendTimestringpickingStatusstringshippingListStatusintegersearchFieldintegersearchSingleValuestringstoreIdsarray<any>warehouseIdsarray<any>updateStartTimestringupdateEndTimestringisDeleteinteger请求cURL示例
curl --location --globoff 'https://openapi.lingxing.com/basicOpen/multiplatform/query/shippingList?access_token=value&app_key=value&sign=value×tamp=value' \
--header 'Content-Type: application/json' \
--data '{
"searchSingleValue": "sMM24042281198971",
"searchField": 8,
"pickingStatus": "",
"timeField": 1,
"startTime": "2024-05-26",
"endTime": "2024-05-31",
"platformCodes": [
"10008",
"10027"
],
"offset": 0,
"length": 50,
"storeIds": [
"110000000018027003"
],
"warehouseIds": [
-1,
1001
],
"isDelete": 0
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalstring必填listarray<object>必填隐藏子属性
idstring必填shippingListCodestring必填warehouseIdinteger必填platformCodestring必填warehouseNamestring必填logisticsProviderIdstring必填logisticsChannelIdstring必填logisticsProviderNamestring必填logisticsChannelNamestring必填logisticsTypeNamestring必填createUserIdstring必填creatorstring必填gmtCreatestring必填deliveryTimestring必填arrivalTimestring必填sailTimestring必填expectedArrivalTimestring必填actualDueTimestring必填orderLogisticsStatusstring必填actualDeliveryTimestring必填logisticsCodestring必填shippingListRemarkstring必填shippingListStatusinteger必填shippingListStatusDescstring必填pickingStatusinteger必填pickingStatusDescstring必填goodExtDetailsarray<object>必填隐藏子属性
goodsUrlstring必填platformCodestring必填platformNamestring必填countryCodestring必填countryNamestring必填storeIdstring必填storeNamestring必填cargoIdstring必填cargoCodestring必填mskustring必填mskuIdstring必填articleNumberingstring必填productIdstring必填productNamestring必填skustring必填applyNumstring必填shipmentsNumstring必填hasPairboolean必填productTypeinteger必填logisticsDetailsarray<object>必填隐藏子属性
idstring必填shippingListIdstring必填logisticsNumberstring必填trackingNumberstring必填transportationCoststring必填otherCoststring必填transportationCurrencystring必填otherCurrencystring必填transportationIconstring必填otherIconstring必填otherCostRemarkstring必填expectedTransportationCoststring必填expectedTransportationCurrencystring必填expectedTransportationIconstring必填expectedOtherCoststring必填expectedOtherCurrencystring必填expectedOtherIconstring必填expectedOtherCostRemarkstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "31a28511511441f9bac7c0d9e1e4e40f.1730454362823",
"response_time": "2024-11-01 17:46:06",
"data": {
"total": "1",
"list": [
{
"id": "609",
"shippingListCode": "SP202405310030028",
"warehouseId": 1,
"platformCode": "10027",
"warehouseName": "仓库1",
"logisticsProviderId": "1",
"logisticsChannelId": "1",
"logisticsProviderName": "未定义",
"logisticsChannelName": "物流商1",
"logisticsTypeName": "未定义物流商1",
"createUserId": "1",
"creator": "0超级管理员01",
"gmtCreate": "2024-05-31 15:32",
"deliveryTime": "2024-05-31 15:34",
"arrivalTime": "2024-06-03 00:00",
"sailTime": "",
"expectedArrivalTime": "",
"actualDueTime": "",
"orderLogisticsStatus": "",
"actualDeliveryTime": "",
"logisticsCode": "",
"shippingListRemark": "娟娟0531",
"shippingListStatus": 3,
"shippingListStatusDesc": "已作废",
"pickingStatus": -1,
"pickingStatusDesc": "",
"storeId": null,
"goodExtDetails": [],
"logisticsDetails": [
{
"id": "978",
"shippingListId": "609",
"logisticsNumber": "",
"trackingNumber": "LRJ0531001",
"transportationCost": "3.00",
"otherCost": "4.00",
"transportationCurrency": "CNY",
"otherCurrency": "CNY",
"transportationIcon": "¥",
"otherIcon": "¥",
"otherCostRemark": "",
"expectedTransportationCost": "1.00",
"expectedTransportationCurrency": "CNY",
"expectedTransportationIcon": "¥",
"expectedOtherCost": "2.00",
"expectedOtherCurrency": "CNY",
"expectedOtherIcon": "¥",
"expectedOtherCostRemark": ""
}
]
}
]
},
"total": 0
}